Create a table view
curl --request POST \
--url https://connie.ai/api/tables/{id} \
--header 'Content-Type: application/json' \
--cookie session= \
--data '
{
"name": "<string>",
"position": 1,
"config": {},
"filters": [],
"sorts": [],
"group_by": {
"property_id": "<string>",
"show_empty": true
},
"visible_properties": []
}
'import requests
url = "https://connie.ai/api/tables/{id}"
payload = {
"name": "<string>",
"position": 1,
"config": {},
"filters": [],
"sorts": [],
"group_by": {
"property_id": "<string>",
"show_empty": True
},
"visible_properties": []
}
headers = {
"cookie": "session=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
position: 1,
config: {},
filters: [],
sorts: [],
group_by: {property_id: '<string>', show_empty: true},
visible_properties: []
})
};
fetch('https://connie.ai/api/tables/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"view": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"table_id": "<string>",
"name": "<string>",
"type": "table",
"config": {},
"filters": "<array>",
"sorts": "<array>",
"group_by": {},
"visible_properties": [
"<string>"
],
"position": 123
}
}Tables
Create a table view
POST
/
tables
/
{id}
Create a table view
Authorizations
Path Parameters
Body
application/json
Response
201 - application/json
View created
Show child attributes
Show child attributes